Last Comment Bug 776026 - new integrated pdf viewer does not handle session cookie
: new integrated pdf viewer does not handle session cookie
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: PDF Viewer (show other bugs)
: 15 Branch
: x86 Linux
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
: Brendan Dahl [:bdahl]
Mentors:
Depends on: 784718
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-20 10:32 PDT by Tonin
Modified: 2012-08-27 20:13 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Tonin 2012-07-20 10:32:55 PDT
User Agent: Mozilla/5.0 (X11; Linux i686; rv:15.0) Gecko/20100101 Firefox/15.0
Build ID: 20120717110313

Steps to reproduce:

I wanted to download a pdf which depends on a session value


Actual results:

the pdf generator page emitted its error message


Expected results:

the pdf should have been generated and served to the browser
Comment 1 Matthias Versen [:Matti] 2012-07-20 17:39:29 PDT
Is there a public URL or testcase ?
Do you mean the new, integrated PDF viewer ?
Does it work if you disable the integrated PDF viewer and download the pdf or use a plugin ?
Comment 2 Tonin 2012-07-21 00:21:00 PDT
Yes I mean the new integrated PDF viewer

Yes there is a public URL :
http://www.officiel-presse.com/site2011/pdf/acces_libre.php?pub=fmr&departement=75

When I switch PDF handle form the integrated PDF viewer, to Okular (Linux PDF viewer) it works fine (download and launch app).
Comment 3 Yury Delendik (:yury) 2012-08-27 20:13:09 PDT
The url that is provided above in comment 2 works with the latest FF17. The channel (cookie) state was fixed by bug 784718.

Note You need to log in before you can comment on or make changes to this bug.